Bug 312063 - digiKam crashes when creatuing preview of whole pics collection
Summary: digiKam crashes when creatuing preview of whole pics collection
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Image Framework DImg (show other bugs)
Version: 2.8.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-22 10:01 UTC by Axel Krebs
Modified: 2019-07-28 01:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 6.2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2012-12-22 10:01:52 UTC
Application: digikam (2.8.0)
KDE Platform Version: 4.9.4 (Compiled from sources)
Qt Version: 4.8.3
Operating System: Linux 3.5.0-21-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- starting digiKam 2.8
- starting services
- doing redo all previews
- prog crashes

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
[Current thread is 1 (Thread 0x7ff309f96a00 (LWP 11431))]

Thread 21 (Thread 0x7ff2e4cd8700 (LWP 11432)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff3044c404b in wait (time=18446744073709551615, this=0x221bae0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x22c53d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005d6a30 in Digikam::ScanController::run (this=0x222d830) at /build/buildd/digikam-2.8.0/core/digikam/database/scancontroller.cpp:698
#4  0x00007ff3044c3aec in QThreadPrivate::start (arg=0x222d830) at thread/qthread_unix.cpp:338
#5  0x00007ff2ff012e9a in start_thread (arg=0x7ff2e4cd8700) at pthread_create.c:308
#6  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7ff2dffff700 (LWP 11433)):
#0  0x00007ff3036e1303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff2fca39d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff2fca39ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff3045eec16 in QEventDispatcherGlib::processEvents (this=0x7ff2d80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007ff3045bf2bf in QEventLoop::processEvents (this=this@entry=0x7ff2dfffeb50, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ff3045bf548 in QEventLoop::exec (this=0x7ff2dfffeb50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ff3044c0b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007ff30459f9af in QInotifyFileSystemWatcherEngine::run (this=0x222ca20) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007ff3044c3aec in QThreadPrivate::start (arg=0x222ca20) at thread/qthread_unix.cpp:338
#9  0x00007ff2ff012e9a in start_thread (arg=0x7ff2dffff700) at pthread_create.c:308
#10 0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7ff2df7fe700 (LWP 11436)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff3044c404b in wait (time=18446744073709551615, this=0x21da230) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x26d8c78, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007ff30785ea11 in Digikam::ParkingThread::run (this=0x26d8c60) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007ff3044c3aec in QThreadPrivate::start (arg=0x26d8c60) at thread/qthread_unix.cpp:338
#5  0x00007ff2ff012e9a in start_thread (arg=0x7ff2df7fe700) at pthread_create.c:308
#6  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7ff2d5f0f700 (LWP 11437)):
#0  0x00007ff2fca76bb2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ff2fca76e49 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff2fca3960b in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff2fca39cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ff2fca39ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ff3045eec16 in QEventDispatcherGlib::processEvents (this=0x7ff2cc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007ff3045bf2bf in QEventLoop::processEvents (this=this@entry=0x7ff2d5f0eb50, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007ff3045bf548 in QEventLoop::exec (this=0x7ff2d5f0eb50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007ff3044c0b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007ff30459f9af in QInotifyFileSystemWatcherEngine::run (this=0x2c19b20) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007ff3044c3aec in QThreadPrivate::start (arg=0x2c19b20) at thread/qthread_unix.cpp:338
#11 0x00007ff2ff012e9a in start_thread (arg=0x7ff2d5f0f700) at pthread_create.c:308
#12 0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7ff297fff700 (LWP 11478)):
#0  0x00007ff3036e1303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff2fca39d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff2fca39ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff3045eec16 in QEventDispatcherGlib::processEvents (this=0x7ff28c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007ff3045bf2bf in QEventLoop::processEvents (this=this@entry=0x7ff297ffeb00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ff3045bf548 in QEventLoop::exec (this=0x7ff297ffeb00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ff30785e08e in Digikam::WorkerObjectRunnable::run (this=0x5db1ed30) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007ff3044b745d in QThreadPoolThread::run (this=0x5cd101e0) at concurrent/qthreadpool.cpp:107
#8  0x00007ff3044c3aec in QThreadPrivate::start (arg=0x5cd101e0) at thread/qthread_unix.cpp:338
#9  0x00007ff2ff012e9a in start_thread (arg=0x7ff297fff700) at pthread_create.c:308
#10 0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7ff2a61e2700 (LWP 11480)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2a61e2700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7ff2a51e0700 (LWP 11481)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2a51e0700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7ff2a59e1700 (LWP 11482)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2a59e1700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7ff2a49df700 (LWP 11483)):
#0  timerSourcePrepare (source=0x7ff2880013c0, timeout=0x7ff2a49de964) at kernel/qeventdispatcher_glib.cpp:160
#1  0x00007ff2fca39618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff2fca39cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff2fca39ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ff3045eec16 in QEventDispatcherGlib::processEvents (this=0x7ff2880008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007ff3045bf2bf in QEventLoop::processEvents (this=this@entry=0x7ff2a49deb00, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007ff3045bf548 in QEventLoop::exec (this=0x7ff2a49deb00, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007ff30785e08e in Digikam::WorkerObjectRunnable::run (this=0x7ff28c1ccd80) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007ff3044b745d in QThreadPoolThread::run (this=0x5c81cdb0) at concurrent/qthreadpool.cpp:107
#9  0x00007ff3044c3aec in QThreadPrivate::start (arg=0x5c81cdb0) at thread/qthread_unix.cpp:338
#10 0x00007ff2ff012e9a in start_thread (arg=0x7ff2a49df700) at pthread_create.c:308
#11 0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7ff2c6d30700 (LWP 11484)):
#0  0x00007ff3036e1303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff2fca39d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff2fca39ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff3045eec16 in QEventDispatcherGlib::processEvents (this=0x7ff2b4013200, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007ff3045bf2bf in QEventLoop::processEvents (this=this@entry=0x7ff2c6d2fb00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ff3045bf548 in QEventLoop::exec (this=0x7ff2c6d2fb00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ff30785e08e in Digikam::WorkerObjectRunnable::run (this=0x7ff28c0fd210) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007ff3044b745d in QThreadPoolThread::run (this=0xfeb3800) at concurrent/qthreadpool.cpp:107
#8  0x00007ff3044c3aec in QThreadPrivate::start (arg=0xfeb3800) at thread/qthread_unix.cpp:338
#9  0x00007ff2ff012e9a in start_thread (arg=0x7ff2c6d30700) at pthread_create.c:308
#10 0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7ff2c5af4700 (LWP 11485)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2c5af4700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7ff2c52f3700 (LWP 11486)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2c52f3700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7ff2c4af2700 (LWP 11487)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2c4af2700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7ff2967fc700 (LWP 11492)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2967fc700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7ff295ffb700 (LWP 11493)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff295ffb700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ff2957fa700 (LWP 11494)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2957fa700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ff296ffd700 (LWP 14503)):
[KCrash Handler]
#6  0x00007ff30767c933 in Digikam::TIFFLoader::load (this=0x7ff296ffbb30, filePath=..., observer=0x58830260) at /build/buildd/digikam-2.8.0/core/libs/dimg/loaders/tiffloader.cpp:638
#7  0x00007ff307657acd in Digikam::DImg::load (this=0x7ff296ffc2a0, filePath=..., loadFlagsInt=13, observer=0x58830260, rawDecodingSettings=...) at /build/buildd/digikam-2.8.0/core/libs/dimg/dimg.cpp:451
#8  0x00007ff30765918e in Digikam::DImg::load (this=0x7ff296ffc2a0, filePath=..., loadMetadata=<optimized out>, loadICCData=<optimized out>, loadUniqueHash=<optimized out>, loadImageHistory=<optimized out>, observer=0x58830260, rawDecodingSettings=...) at /build/buildd/digikam-2.8.0/core/libs/dimg/dimg.cpp:406
#9  0x00007ff30783d488 in Digikam::ThumbnailCreator::loadWithDImg (this=0xf3f1430, path=..., profile=0x7ff296ffc460) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailcreator.cpp:561
#10 0x00007ff30783dfcb in Digikam::ThumbnailCreator::createThumbnail (this=0xf3f1430, info=..., detailRect=..., isFace=false) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailcreator.cpp:490
#11 0x00007ff30783e630 in Digikam::ThumbnailCreator::load (this=0xf3f1430, path=..., rect=..., pregenerate=false) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailcreator.cpp:260
#12 0x00007ff30783f502 in Digikam::ThumbnailCreator::load (this=<optimized out>, path=...) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailcreator.cpp:199
#13 0x00007ff30784e097 in Digikam::ThumbnailLoadingTask::execute (this=0x58830250) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailtask.cpp:170
#14 0x00007ff30781db5e in Digikam::LoadSaveThread::run (this=0xf3f10e0) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/loadsavethread.cpp:136
#15 0x00007ff30786032e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0xf3f11e0) at /build/buildd/digikam-2.8.0/core/libs/threads/dynamicthread.cpp:186
#16 0x00007ff3044b745d in QThreadPoolThread::run (this=0x5df101b0) at concurrent/qthreadpool.cpp:107
#17 0x00007ff3044c3aec in QThreadPrivate::start (arg=0x5df101b0) at thread/qthread_unix.cpp:338
#18 0x00007ff2ff012e9a in start_thread (arg=0x7ff296ffd700) at pthread_create.c:308
#19 0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ff2c18a0700 (LWP 14504)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2c18a0700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ff2977fe700 (LWP 14505)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2977fe700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff2a69e3700 (LWP 14506)):
#0  0x00007ff2ff991fb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007ff2ff99082e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007ff2ff012e9a in start_thread (arg=0x7ff2a69e3700) at pthread_create.c:308
#3  0x00007ff3036eccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff309f96a00 (LWP 11431)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff3044c404b in wait (time=18446744073709551615, this=0xf3f1260) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xf3f1210, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007ff307860958 in Digikam::DynamicThread::wait (this=0xf3f10e0, locker=...) at /build/buildd/digikam-2.8.0/core/libs/threads/dynamicthread.cpp:351
#4  0x00007ff307860b74 in Digikam::DynamicThread::shutDown (this=0xf3f10e0) at /build/buildd/digikam-2.8.0/core/libs/threads/dynamicthread.cpp:222
#5  0x00007ff3078248a8 in Digikam::ManagedLoadSaveThread::shutDown (this=0xf3f10e0) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/managedloadsavethread.cpp:94
#6  0x00007ff30784210f in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread (this=0xf3f10e0, __in_chrg=<optimized out>) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailloadthread.cpp:174
#7  0x00007ff307842259 in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread (this=0xf3f10e0, __in_chrg=<optimized out>) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailloadthread.cpp:177
#8  0x00007ff303634901 in __run_exit_handlers (status=1, listp=0x7ff3039b16a8 <__exit_funcs>, run_list_atexit=true) at exit.c:78
#9  0x00007ff303634985 in __GI_exit (status=<optimized out>) at exit.c:100
#10 0x00007ff30500bb78 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:781
#11 0x00007ff305ca8fb8 in KApplication::xioErrhandler (this=0x7fffc3d509c0, dpy=0x2178740) at ../../kdeui/kernel/kapplication.cpp:419
#12 0x00007ff301c0459e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#13 0x00007ff301c0203d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#14 0x00007ff301bf360b in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#15 0x00007ff305046a7c in x11EventSourceCheck (s=0x2155070) at kernel/qguieventdispatcher_glib.cpp:85
#16 0x00007ff2fca3988c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007ff2fca39d22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007ff2fca39ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007ff3045eebf6 in QEventDispatcherGlib::processEvents (this=0x20e28d0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#20 0x00007ff305046c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007ff3045bf2bf in QEventLoop::processEvents (this=this@entry=0x7fffc3d50850, flags=...) at kernel/qeventloop.cpp:149
#22 0x00007ff3045bf548 in QEventLoop::exec (this=0x7fffc3d50850, flags=...) at kernel/qeventloop.cpp:204
#23 0x00007ff3045c4708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#24 0x000000000048f63b in main (argc=5, argv=<optimized out>) at /build/buildd/digikam-2.8.0/core/digikam/main/main.cpp:232

Possible duplicates by query: bug 308572, bug 307602, bug 307275, bug 307119, bug 307013.

Reported using DrKonqi
Comment 1 caulier.gilles 2012-12-22 10:03:49 UTC
Axel,

Your famous libtiff crash is back....

Gilles Caulier
Comment 2 caulier.gilles 2012-12-22 10:04:14 UTC

*** This bug has been marked as a duplicate of bug 307602 ***
Comment 3 Axel Krebs 2012-12-22 10:27:49 UTC
Am 22.12.2012 11:03, schrieb Gilles Caulier:
> https://bugs.kde.org/show_bug.cgi?id=312063
> 
> Gilles Caulier <caulier.gilles@gmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |caulier.gilles@gmail.com
> 
> --- Comment #1 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Axel,
> 
> Your famous libtiff crash is back....
> 
> Gilles Caulier
> 
is this overcome in V. 2.90 or 3.0?
Comment 4 caulier.gilles 2012-12-22 11:20:16 UTC
Look in bug #307602. It's fixed in 3.0.0

Gilles Caulier
Comment 5 caulier.gilles 2013-01-21 07:32:26 UTC
*** Bug 313501 has been marked as a duplicate of this bug. ***
Comment 6 caulier.gilles 2019-07-28 01:44:50 UTC
Fixed with bug #307602